# routeros-geoip

Generate RouterOS Address Lists based on country code. This can be used for creating up to date geo-ip blocking lists which can be loaded into RouterOS.

### Create Configuration

Create a json config file containing the address lists you want to block and a URL for source information.  Below is example.json

```json
{
    "countries": [
        {
            "name": "CANADA",
            "url": "https://raw.githubusercontent.com/herrbischoff/country-ip-blocks/refs/heads/master/ipv4/ca.cidr"
        },
        {
            "name": "AUSTRALIA",
            "url": "https://raw.githubusercontent.com/herrbischoff/country-ip-blocks/refs/heads/master/ipv4/au.cidr"
        }
    ]
}
```

### Usage

```sh
# Example usage
./routeros-geoip myAddressList example.json
```


